> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /vk/groups/search

> Search VK communities (groups/public pages) by a free-text query. Returns the top matching communities with id, name, alias, avatar, type, verified and member count.

**Price:** 5 credits



## OpenAPI

````yaml /openapi/social-media.json post /api/vk/groups/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/vk/groups/search:
    post:
      tags:
        - /vk
      summary: /vk/groups/search
      description: >-
        Search VK communities (groups/public pages) by a free-text query.
        Returns the top matching communities with id, name, alias, avatar, type,
        verified and member count.


        **Price:** 5 credits
      operationId: __api_vk_groups_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VkGroupsSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/VkGroup'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    VkGroupsSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        query:
          type: string
          minLength: 1
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - query
        - count
    VkGroup:
      properties:
        '@type':
          type: string
          default: VkGroup
        id:
          type: integer
        name:
          anyOf:
            - type: string
            - type: 'null'
        alias:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        cover:
          anyOf:
            - type: string
            - type: 'null'
        group_type:
          anyOf:
            - type: string
            - type: 'null'
        is_verified:
          type: boolean
          default: false
        is_closed:
          type: boolean
          default: false
        status:
          anyOf:
            - type: string
            - type: 'null'
        activity:
          anyOf:
            - type: string
            - type: 'null'
        site:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        member_count:
          anyOf:
            - type: integer
            - type: 'null'
        address:
          anyOf:
            - $ref: '#/components/schemas/VkGroupAddress'
            - type: 'null'
        contacts:
          items:
            $ref: '#/components/schemas/VkGroupContact'
          type: array
          default: []
        links:
          items:
            $ref: '#/components/schemas/VkGroupLink'
          type: array
          default: []
        profile_url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    VkGroupAddress:
      properties:
        '@type':
          type: string
          default: VkGroupAddress
        address:
          anyOf:
            - type: string
            - type: 'null'
        address_title:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        metro:
          anyOf:
            - type: string
            - type: 'null'
        latitude:
          anyOf:
            - type: number
            - type: 'null'
        longitude:
          anyOf:
            - type: number
            - type: 'null'
      type: object
    VkGroupContact:
      properties:
        '@type':
          type: string
          default: VkGroupContact
        user_id:
          anyOf:
            - type: integer
            - type: 'null'
        phone:
          anyOf:
            - type: string
            - type: 'null'
        email:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    VkGroupLink:
      properties:
        '@type':
          type: string
          default: VkGroupLink
        source_url:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````